# $Id: perl-XML-RSS-Parser.spec 3906 2006-01-08 14:51:04Z dries $

# Authority: dries
# Upstream: Timothy Appnel <cpan$timeaoutloud,org>

%define real_name XML-RSS-Parser
%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)
%define perl_archlib %(eval "`perl -V:archlib`"; echo $archlib)
%define perl_privlib %(eval "`perl -V:privlib`"; echo $privlib)

Summary: Parser for RSS formats
Name: perl-XML-RSS-Parser
Version: 4.0
Release: 1.rf
License: Artistic
Group: Applications/CPAN
URL: http://search.cpan.org/dist/XML-RSS-Parser/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/modules/by-module/XML/XML-RSS-Parser-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl

%description
XML::RSS::Parser is an objected-oriented liberal parser for handling 
the morass of RSS formats in use.

%prep
%setup -n %{real_name}-4

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -f %{buildroot}%{perl_archlib}/perllocal.pod
%{__rm} -f %{buildroot}%{perl_vendorarch}/auto/*/*/*/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README
%doc %{_mandir}/man3/*
%{perl_vendorlib}/XML/RSS/Parser.pm
%{perl_vendorlib}/XML/RSS/Parser/*

%changelog
* Sat Jan  7 2006 Dries Verachtert <dries@ulyssis.org> - 4.0-1 - 3906/dries
- Updated to release 4.0.

* Thu Jul 22 2004 Dries Verachtert <dries@ulyssis.org> - 2.15-1
- Initial package.
